Do I need Net Frame Work 1 and 2

Discussion in 'other software & services' started by nightingale, Dec 27, 2006.

Thread Status:
Not open for further replies.
  1. nightingale

    nightingale Registered Member

    Joined:
    Dec 30, 2005
    Posts:
    14
    Hey there all you smart comp guys and gals ,I was wondering if I need to download these 2 applications.I do not build any sites or anything tech like that.My comp is for gaming (son cannot live in this world without that :rolleyes: )and my usual surfing stuff.I heard there is even a version 3 net frame work.Would anyone be so kind as to tell this newbi what the frame work does in english lol.Why is it so hard for tech guys to explain in english ,simple english that is lol.
    Wasn't sure where to post this question.Also do you Have to have both in order for your comp to work properly?
     
  2. WSFuser

    WSFuser Registered Member

    Joined:
    Oct 7, 2004
    Posts:
    10,632
    microsoft's .net framework is needed for some programs to run. such programs will usually have .net framework lised in their system requirements.

    for example: paint.net requires that u have version 2 of teh framework and hosts secure requires version 1.

    theres also a version 3, but its teh same as version 2 with the addition of some Vista components.
     
  3. Howard Kaikow

    Howard Kaikow Registered Member

    Joined:
    Apr 10, 2005
    Posts:
    2,802
    Certain products, such as Ghost 10 and McAfee VS 10 am MCaFee 2007, require a particular version of the ,NET Framework to be installed.

    If u have no such products, then there's no reason to install any .NET Framework.
     
  4. chaos16

    chaos16 Registered Member

    Joined:
    Feb 14, 2005
    Posts:
    1,004
    I have net framework 1.1 and 2.0 installed could i uninstall 1.1? or do i need the both? And is it better if i upgrade now to the new 3.0?

    As ATI drivers needs framework would it be better with 3.0? as 3.0 is more stable with new features? would it mean that my drivers would be enhanced with better game play etc...

    As a new feature in 3.0 is Windows Presentation Foundation (WPF), formerly code-named Avalon; a new user interface subsystem and API based on XML and vector graphics, which will make use of 3D computer graphics hardware and Direct3D technologies.
     
  5. WSFuser

    WSFuser Registered Member

    Joined:
    Oct 7, 2004
    Posts:
    10,632
    .net framework is only needed for teh Catalyst® Control Center, so it wont necessarily affect your gameplay.

    u can keep either one, the control panel works with both versions.
     
  6. chaos16

    chaos16 Registered Member

    Joined:
    Feb 14, 2005
    Posts:
    1,004
    so i could download 3.0 and uninstall version 1.1 and 2.0? as 3.0 has everything 1.1 & 2.0 has its an upgrade right.

    so i could uninstall all and install the new 3.0?
     
  7. WSFuser

    WSFuser Registered Member

    Joined:
    Oct 7, 2004
    Posts:
    10,632
    3.0 includes 2.0 but not 1.1.

    like i said, for the Catalyst® Control Center u can use either 1.1 or 2.0 (or 3.0). just pick one version.
     
  8. Howard Kaikow

    Howard Kaikow Registered Member

    Joined:
    Apr 10, 2005
    Posts:
    2,802
    You only need the versions required by your apps.

    If an app requires, say, 1.1, the app will not necessarily work with 2 or 3 or ....

    Only the app developer can tell you what versions will work with the app.
     
  9. chaos16

    chaos16 Registered Member

    Joined:
    Feb 14, 2005
    Posts:
    1,004
    i now have 1.1,2.0 & 3.0 thats ok no?
     
  10. NGRhodes

    NGRhodes Registered Member

    Joined:
    Jun 23, 2003
    Posts:
    2,331
    Location:
    West Yorkshire, UK
    Chaos16

    Actually all that .net 3.0 framework is is the 2.0 framework with the WPF added on (pretty much as WSFuser said).
    The 3.0 installer is smart enough to only install the extra stuff needed if you have 2.0.
     
Loading...
Thread Status:
Not open for further replies.